time(1)

NAVN
time - tag tid på en simpel kommando eller vis ressourceforbrug

SYNOPSIS
time [option ...] command [argument ...]

BESKRIVELSE
Kommandoen time afvikler det angivne program kommando med de angivne argumenter. Når kommando afsluttes skriver time en besked til standardfejl med tidsstatistik om denne programafvikling. Denne statistik består af (i) den forløbne reelle tid mellem igangsættelse og afslutning, (ii) brugerens cpu-tidsforbrug (summen af værdierne tms_utime og tms_cutime i en struct tms som returneret af times(2)) og (iii) systemets cpu-tidsforbrug (summen af værdierne tms_stime og tms_cstime i en struct tms som returneret af times(2)).

Bemærk: nogle skaller (f.eks. bash(1)) har en indbygget time-kommando der tilbyder lignende information om tidsforbruget og sandsynligvis andre ressoucer. For at tilgå den reelle kommando skal du måske angive dens stinavn (f.eks. /usr/bin/time).

TILVALG

-p  Når i POSIX-sproget, brug det præcise traditionelle format

        "real %f\nuser %f\nsys %f\n"

    (med tal i sekunder) hvor antallet af decimlaer i resultatet for %f er uangivet men tilstrækkelig til at udtrykke urets tikpræcision og mindst en.

AFSLUT-STATUS
Hvis kommando blev igangsat så er afslutningsstatus den for kommando. Ellers er det 127 hvis kommando ikke kunne findes, 126 hvis den kunne findes men ikke kunne igangsættes og en anden ikkenul værdi (1–125) hvis noget ellers gik galt.

MILJØ
Variablerne LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, LC_NUMERIC og NLSPATH bruges til tekst og formatering af resultatet. PATH bruges til at søge efter kommando.

GNU-version
Nedenfor en beskrivelse af GNU 1.7-versionen af time. Uanset redskabets navn så laver GNU en masse resultater med nyttig information, ikke kun anvendt tid men også andre ressourcer såsom hukommelse, I/O og IPC-kald (hvor tilgængelig). Resultatet formateres via en formatstreng, der kan angives via tilvalget -f eller miljøvariablen TIME.

Standardformatstrengen er:

    %Uuser %Ssystem %Eelapsed %PCPU (%Xtext+%Ddata %Mmax)k
    %Iinputs+%Ooutputs (%Fmajor+%Rminor)pagefaults %Wswaps

Når tilvalget -p angives så bruges (det flytbare) resultatformat:

    real %e
    user %U
    sys %S

  Formatstrengen
Formatet fortolkes på den normale printf-lignende måde. Ordinære tegn kopieres direkte, indryk, nylinje og baglæns skråstreg omsluttes med citattegn \t, \n og \\, et procenttegn er repræsenteret af %% og ellers indikerer % en konvertering. Programmet time vil altid selv tilføje en efterfølgende nylinje. Konverteringerne følger. Alle dem anvendt af tcsh(1) er understøttet.

Time

%E  Forløbet reel tid (i [timer:]minutter:sekunder).

%e  (Ikke i tcsh(1).) Forløbet reel tid (i sekunder).

%S  Samlet antal cpu-sekunder som processen brugte i kernetilstanden.

%U  Samlet antal cpu-sekunder som processen brugte i brugertilstanden.

%P  Procent af cpu'en som dette job fik, beregnet som (%U + %S) / %E.

Memory

%M  Maksimal »resident set«-størrelse for processen under dets levealder, i Kbyte.

%t  (Ikke i tcsh(1).) Gennemsnitlig »resident set«-størrelse for processen, i Kbyte.

%K  Gennemsnitlig (data+stak+tekst) samlet hukommelsesforbrug for processen, i Kbyte.

%D  Gennemsnitlig størrelse for processen udelte dataområde, i Kbyte.

%p  (Ikke i tcsh(1).) Gennemsnitlig størrelse for processens udelte stakrum, i Kbyte.

%X  Gennemsnitlig størrelse for processens delte tekstrum, i Kbyte.

%Z  (Ikke i tcsh(1).) Systemets sidestørrelse, i byte. Dette er en per system-konstant, men varierer mellem systemer.

%F  Antallet af væsentlige sidefejl der opstod mens processen blev afviklet. Dette er fejl hvor siden skal læses ind fra disken.

%R  Antallet af mindre, eller gendannede, sidefejl. Dette er fejl for sider, der ikke er gyldige, men som endnu ikke er blevet krævet af andre virtuelle sider. Dataene på siden er dermed stadig gyldige, men systemtabellerne skal opdateres.

%W  Antallet af gange processen blev fjernet fra hovedhukommelsen.

%c  Antallet af gange processen blev kontekst-ændret ufrivilligt (fordi tidsdelen udløb).

%w  Antallet af vent: gange programmet blev kontekst-ændret frivilligt, for eksempel mens det venter på at en I/O-operation fuldføres.

I/O

%I  Antallet af filsystemskrivninger fra processen.

%O  Antallet af filsystemlæsninger fra processen.

%r  Antallet af sokkelbeskeder modtaget af processen.

%s  Antallet af sokkelbeskeder sendt af processen.

%k  Antallet af signaler leveret til processen.

%C  (Ikke i tcsh(1).) Navn og kommandolinjeargumenter for kommandoen time indsamler information om.

%x  (ikke i tcsh(1).) Afslutningsstatus for kommandoen.

  GNU-tilvalg

-f format, --format=format
    Angiv resultatformat, sandsynligvis overskrivende formatet angivet i miljøvariablen TIME.

-p, --portability
    Brug det flytbare resultatformat.

-o fil, --output=fil
    Send ikke resultaterne til standardfejl, men overskriv den angivne fil.

-a, --append
    (Brugt sammen med -o.) Overskriv ikke men tilføj.

-v, --verbose
    Vis et uddybende resultat om alt det programmet kender til.

-q, --quiet
    Rapporter ikke unormal programafslutning (hvor kommando afsluttes af et signal) eller ikkenul afslutningsstatus.

  GNU-standardtilvalg

--help
    Vis en brugsbesked på standardud og afslut med succes.

-V, --version
    Vis versionsinformation på standardud; afslut så med succes.

--  Afslut tilvalgsliste.

FEJL
Ikke alle ressourcer måles af alle versioner af UNIX, så nogle af værdierne kan blive rapporteret som nul. Det nuværende udvalg var hovedsagelig inspireret af data tilbudt af 4.2 eller 4.3 BSD.

GNU's time-version 1.7 er endnu ikke gjort klar til oversættelse. Derfor implementerer den ikke POSIX-krav.

Miljøvariablen TIME var et dårligt valg. Det er ikke unormalt for systemer såsom autoconf(1) eller make(1) at bruge miljøvariabler med navnet på et redskab til at overskrive redskabet. Brug af MORE eller TIME som tilvalg til programmer (i stedet for programstinavne) har det med at give problemer.

Det virker uheldigt at -o overskriver i stedet for at tilføje. (det vil sige at tilvalget -a bør være standarden).

Send forslag og fejlrapporter for GNU time til bug-time@gnu.org. Inkluder venligst versionen for time, som du kan se ved at afvikle

    time --version

og operativsystemet og C-kompileren du anvendte.

SE OGSÅ
bash(1), tcsh(1), times(2), wait3(2)

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.